> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get transaction history for multiple Cardano payment credentials in a single batch request.

# Transactions by multiple payment credentials



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json post /addresses/cred/transactions
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /addresses/cred/transactions:
    post:
      tags:
        - Addresses
      summary: Transactions by multiple payment credentials
      description: >-
        Returns transactions in which at least one of a list specified payment
        credentials spent or received funds, or was a required signer.


        Specifically, "spent or received funds" meaning: the payment credential
        was used in an address which controlled at least one of the transaction
        inputs and/or receives one of the outputs AND the transaction is phase-2
        valid, OR, the address controlled at least one of the collateral inputs
        and/or receives the collateral return output AND the transaction is
        phase-2 invalid. [Read
        more](https://docs.cardano.org/plutus/collateral-mechanism/).
      operationId: txs_by_payment_creds
      parameters:
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by point in chain)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: Return only transactions minted on or after a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only transactions minted on or before a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
            example:
              - addr_vkh1wdkle2sprqsuklt34474g6n4ps7k6pv6zwe4644uxmg7xj54y87
              - >-
                addr_shared_vkh1ewj7sycvy5y234m3uhudn5dggqk3djr0jheacr3utna5gcnmwp2
        required: true
      responses:
        '200':
          description: Transactions involving payment credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPaymentCredentialsTransaction'
              example:
                data:
                  - tx_hash: >-
                      6029360e8236d06d81a31e9d8c6748ada97817f227204be092c93ad04fd04e4c
                    slot: 55718892
                  - tx_hash: >-
                      21c895e07df0af0d4bfad175f823b047a61542352890ffdd23bd23d56f567d2d
                    slot: 55718892
                  - tx_hash: >-
                      257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                    slot: 55718892
                  - tx_hash: >-
                      c140d6590778da752bf9b33780efdb9dc6307aa0bfc107f95f503016b58aa218
                    slot: 106047961
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPaymentCredentialsTransaction:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PaymentCredentialsTransaction'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PaymentCredentialsTransaction:
      type: object
      description: Transaction which involved one or more specific payment credentials
      required:
        - tx_hash
        - slot
      properties:
        slot:
          type: integer
          format: int64
          description: Absolute slot of the block which contains the transaction
          minimum: 0
        tx_hash:
          type: string
          description: Transaction hash
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````